import 'package:flutter/material.dart';


class DialogCancelButton extends StatelessWidget {
  final String label;
  final bool isSaving;
  final VoidCallback onCancel;

  const DialogCancelButton({
    super.key,
    required this.label,
    required this.isSaving,
    required this.onCancel,
  });

  @override
  Widget build(BuildContext context) => TextButton(
    onPressed: isSaving ? null : onCancel,
    child: Text(label),
  );
}
